org.keycloak.connections.jpa.updater.liquibase

## Class PostgresPlusDatabase

- java.lang.Object
- - liquibase.database.AbstractJdbcDatabase
  - - liquibase.database.core.PostgresDatabase
    - - org.keycloak.connections.jpa.updater.liquibase.PostgresPlusDatabase

- All Implemented Interfaces:
    liquibase.database.Database, liquibase.servicelocator.PrioritizedService

      public class PostgresPlusDatabase
      extends liquibase.database.core.PostgresDatabase

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `POSTGRESPLUS_PRODUCT_NAME`

    - ### Fields inherited from class liquibase.database.core.PostgresDatabase

      `PRODUCT_NAME`

    - ### Fields inherited from class liquibase.database.AbstractJdbcDatabase

      `caseSensitive, currentDateTimeFunction, dateFunctions, defaultAutoIncrementBy, defaultAutoIncrementStartWith, defaultCatalogName, defaultSchemaName, quotingEndCharacter, quotingEndReplacement, quotingStartCharacter, quotingStrategy, sequenceCurrentValueFunction, sequenceNextValueFunction, unmodifiableDataTypes, unquotedObjectsAreUppercased`

    - ### Fields inherited from interface liquibase.servicelocator.PrioritizedService

      `COMPARATOR, PRIORITY_DATABASE, PRIORITY_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgresPlusDatabase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getConnectionSchemaName()`
    `protected String` | `getDefaultDatabaseProductName()`
    `String` | `getDefaultDriver(String url)`
    `String` | `getShortName()`
    `boolean` | `isCorrectDatabaseImplementation(liquibase.database.DatabaseConnection conn)`

    - ### Methods inherited from class liquibase.database.core.PostgresDatabase

      `correctObjectName, escapeObjectName, generateAutoIncrementBy, generateAutoIncrementStartWith, getAutoIncrementClause, getConnectionSchemaNameCallStatement, getDatabaseChangeLogLockTableName, getDatabaseChangeLogTableName, getDefaultPort, getPriority, getSystemViews, hasMixedCase, isReservedWord, isSystemObject, setConnection, supportsCatalogInObjectName, supportsInitiallyDeferrableColumns, supportsSequences, supportsTablespaces`

    - ### Methods inherited from class liquibase.database.AbstractJdbcDatabase

      `addReservedWords, canCreateChangeLogTable, close, commit, correctSchema, correctSchema, createsIndexesForForeignKeys, dataTypeIsNotModifiable, disableForeignKeyChecks, doesTagExist, dropDatabaseObjects, enableForeignKeyChecks, equals, escapeColumnName, escapeColumnName, escapeColumnNameList, escapeConstraintName, escapeDataTypeName, escapeIndexName, escapeObjectName, escapeSequenceName, escapeStringForDatabase, escapeTableName, escapeViewName, execute, executeRollbackStatements, executeRollbackStatements, executeStatements, filterRollbackVisitors, generateDatabaseFunctionValue, generatePrimaryKeyName, get, getAutoCommitMode, getAutoIncrementByClause, getAutoIncrementClause, getAutoIncrementClosing, getAutoIncrementOpening, getAutoIncrementStartWithClause, getConcatSql, getConnection, getConnectionCatalogName, getContainingObjects, getCurrentDateTimeFunction, getDatabaseMajorVersion, getDatabaseMinorVersion, getDatabaseProductName, getDatabaseProductVersion, getDataTypeMaxParameters, getDateFunctions, getDateLiteral, getDateLiteral, getDateLiteral, getDateTimeLiteral, getDefaultCatalogName, getDefaultSchema, getDefaultSchemaName, getFetchSize, getJdbcCatalogName, getJdbcCatalogName, getJdbcSchemaName, getJdbcSchemaName, getLineComment, getLiquibaseCatalogName, getLiquibaseSchemaName, getLiquibaseTablespaceName, getName, getObjectQuotingStrategy, getOutputDefaultCatalog, getOutputDefaultSchema, getRanChangeSet, getRanChangeSetList, getRanDate, getRunStatus, getSchemaFromJdbcInfo, getSystemSchema, getSystemTables, getTimeLiteral, getViewDefinition, hashCode, isAutoCommit, isCaseSensitive, isDateOnly, isDateTime, isDefaultCatalog, isDefaultSchema, isFunction, isLiquibaseObject, isSafeToRunUpdate, isSystemView, isTimeOnly, isTimestamp, jdbcCallsCatalogsSchemas, markChangeSetExecStatus, mustQuoteObjectName, parseDate, quoteObject, removeRanStatus, requiresPassword, requiresUsername, resetInternalState, rollback, saveRollbackStatement, saveStatements, set, setAutoCommit, setCanCacheLiquibaseTableInfo, setCaseSensitive, setCurrentDateTimeFunction, setDatabaseChangeLogLockTableName, setDatabaseChangeLogTableName, setDefaultCatalogName, setDefaultSchemaName, setLiquibaseCatalogName, setLiquibaseSchemaName, setLiquibaseTablespaceName, setObjectQuotingStrategy, setOutputDefaultCatalog, setOutputDefaultSchema, startsWithNumeric, supportsAutoIncrement, supportsCatalogs, supportsDDLInTransaction, supportsDropTableCascadeConstraints, supportsForeignKeyDisable, supportsPrimaryKeyNames, supportsRestrictForeignKeys, supportsSchemas, tag, toString, unescapeDataTypeName, unescapeDataTypeString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### POSTGRESPLUS_PRODUCT_NAME

          public static final String POSTGRESPLUS_PRODUCT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PostgresPlusDatabase

          public PostgresPlusDatabase()

  - ### Method Detail

    - #### getShortName

          public String getShortName()

      Specified by:
        `getShortName` in interface `liquibase.database.Database`
      Overrides:
        `getShortName` in class `liquibase.database.core.PostgresDatabase`

    - #### getDefaultDatabaseProductName

          protected String getDefaultDatabaseProductName()

      Overrides:
        `getDefaultDatabaseProductName` in class `liquibase.database.core.PostgresDatabase`

    - #### isCorrectDatabaseImplementation

          public boolean isCorrectDatabaseImplementation(liquibase.database.DatabaseConnection conn)
                                                  throws liquibase.exception.DatabaseException

      Specified by:
        `isCorrectDatabaseImplementation` in interface `liquibase.database.Database`
      Overrides:
        `isCorrectDatabaseImplementation` in class `liquibase.database.core.PostgresDatabase`
      Throws:
        `liquibase.exception.DatabaseException`

    - #### getDefaultDriver

          public String getDefaultDriver(String url)

      Specified by:
        `getDefaultDriver` in interface `liquibase.database.Database`
      Overrides:
        `getDefaultDriver` in class `liquibase.database.core.PostgresDatabase`

    - #### getConnectionSchemaName

          protected String getConnectionSchemaName()

      Overrides:
        `getConnectionSchemaName` in class `liquibase.database.AbstractJdbcDatabase`

Copyright © 2020 JBoss by Red Hat. All rights reserved.